Package be.cin.mycarenet._1_0.carenet.types

# Class DementiaType

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.DementiaType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class DementiaType extends Object implements Serializable

Java class for DementiaType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DementiaType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Doctor" type="{urn:be:cin:mycarenet:1.0:carenet:types}NihiiType" minOccurs="0"/>
           </sequence>
           <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}DementiaTypeType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DementiaType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDoctor()`
  Gets the value of the doctor property.
  `DementiaTypeType`
  `getType()`
  Gets the value of the type property.
  `void`
  `setDoctor(String value)`
  Sets the value of the doctor property.
  `void`
  `setType(DementiaTypeType value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DementiaType

    public DementiaType()

- ## Method Details

  - ### getDoctor

    public String getDoctor()
    Gets the value of the doctor property.
    Returns:
      possible object is `String`

  - ### setDoctor

    public void setDoctor(String value)
    Sets the value of the doctor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getType

    public DementiaTypeType getType()
    Gets the value of the type property.
    Returns:
      possible object is `DementiaTypeType`

  - ### setType

    public void setType(DementiaTypeType value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `DementiaTypeType`